### Method

# St Icon set_icon_name

#### Declaration [src]

    void
    st_icon_set_icon_name (
      StIcon* icon,
      const gchar* icon_name
    )

#### Description [src]

This is a convenience method to set the `GIcon` to a `GThemedIcon` created using the given icon name. If `icon_name` is an empty string, `NULL` or fails to load, the fallback icon will be shown.

Sets property | `St.Icon:icon-name`

#### Parameters

`icon_name`

  Type: `const gchar*`

  The name of the icon.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.